Problem installing postgis on centos 6.8 desktop + postgresql 93

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Problem installing postgis on centos 6.8 desktop + postgresql 93

Mike Frampton

Hi


Im trying to install postgis on to a  centos 6.8 desktop  server which has postgresql 93 and phpPgAdmin installed. Ive followed the instructions at


http://postgis.net/install/


but I keep running into an error related to a missing library ( libCharLS.so.1 ). i.e.


cd /tmp ; rm -rf postgis ; mkdir postgis ; cd postgis
wget https://download.postgresql.org/pub/repos/yum/9.3/redhat/rhel-6-x86_64/pgdg-centos93-9.3-3.noarch.rpm

rpm -ivh pgdg*

yum -y install postgis2_93

This gives an error


--> Processing Dependency: libCharLS.so.1()(64bit) for package: gdal-libs-1.9.2-8.rhel6.x86_64
--> Finished Dependency Resolution
Error: Package: gdal-libs-1.9.2-8.rhel6.x86_64 (pgdg93)
           Requires: libCharLS.so.1()(64bit)
 You could try using --skip-broken to work around the problem

 You could try running: rpm -Va --nofiles --nodigest


I tried to manually install / reinstall the epel release but that didnt solve the issue.


rpm -e epel-release-6-8.noarch
rpm -ivh  http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm


Does anyone have any pointers, can anyone provide any suggestions ?


cheers


Mike






_______________________________________________
postgis-users mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/postgis-users